Bug 153252 - Properly configured HP LaserJet says not-connected.
Properly configured HP LaserJet says not-connected.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-03 21:42 EDT by L. Acar
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'printconf-tui --Xexport' (1.74 KB, text/plain)
2005-04-07 10:29 EDT, L. Acar
no flags Details
/var/log/cups/error_log file (1.74 KB, text/plain)
2005-04-07 10:30 EDT, L. Acar
no flags Details
/var/log/cups/error_log file (19.11 KB, text/plain)
2005-04-07 12:05 EDT, L. Acar
no flags Details
The error_log file with debug2 on (44.56 KB, text/plain)
2005-04-18 13:12 EDT, L. Acar
no flags Details
dmesg output for the working kernel-2.6.9-1.667 (13.35 KB, text/plain)
2005-06-17 12:07 EDT, L. Acar
no flags Details
dmesg output for the non-working kernel-2.6.11-1.27_FC3 (15.34 KB, text/plain)
2005-06-17 12:08 EDT, L. Acar
no flags Details
dmesg output for kernel-2.6.12-1.1372_FC3 (13.75 KB, text/plain)
2005-07-15 18:14 EDT, L. Acar
no flags Details

  None (edit)
Description L. Acar 2005-04-03 21:42:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I have a HP LaserJet 6MP that is directly connected to the parallel port.  The printer configuration tool recognizes the printer and sets it up properly as far as I can tell.  However, a test page or any other document stays in the queue with an error message that says the printer is not connected.  Exact configuration worked on RedHat 9.

Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.8.5       kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. Send a test page to the printer, or
2. send any document.


Actual Results:  The print job stays in the queue with a message that says "printer is not connected."

Additional info:

Varied bios settings, disconnected and rebooted, connected and rebooted, deleted and added manually without any success.
Comment 1 Tim Waugh 2005-04-06 06:41:23 EDT
Please provide:

1. the output of 'printconf-tui --Xexport'

2. the /var/log/cups/error_log file, or relevant parts of it

Thanks.
Comment 2 L. Acar 2005-04-07 10:29:28 EDT
Created attachment 112807 [details]
Output of 'printconf-tui --Xexport'
Comment 3 L. Acar 2005-04-07 10:30:04 EDT
Created attachment 112808 [details]
/var/log/cups/error_log file
Comment 4 Tim Waugh 2005-04-07 10:43:07 EDT
Looks like the second attachment accidentally used the file for the first one --
could you attach /var/log/cups/error_log again please?  Thanks.
Comment 5 L. Acar 2005-04-07 12:05:41 EDT
Created attachment 112817 [details]
/var/log/cups/error_log file
Comment 6 L. Acar 2005-04-07 12:06:54 EDT
Thank you, Tim.
Comment 7 Tim Waugh 2005-04-18 09:58:18 EDT
"I [03/Apr/2005:18:08:39 -0500] Hint: Try setting the LogLevel to "debug" to
find out more."

Please do this, by editing the file /etc/cups/cupsd.conf and finding the line
beginning "LogLevel".

Then stop cups:

  service cups stop

Then clear out the error_log file:

  >/var/log/cups/error_log

Then start cups:

  service cups start

When you see the problem again, please attach the resulting error_log file here.
 Thanks.
Comment 8 L. Acar 2005-04-18 13:12:16 EDT
Created attachment 113331 [details]
The error_log file with debug2 on

The error_log file is attached.  Thanks.
Comment 9 Tim Waugh 2005-04-19 06:28:23 EDT
This means that opening /dev/lp0 gave an error, one of ENXIO|EIO|ENOENT.  Sounds
like a kernel problem.
Comment 10 Pete Zaitcev 2005-06-16 17:34:28 EDT
I'm hesitant to take this, because it will just get stuck in my queue forever.

However, attaching a complete dmesg sounds like a good idea regardless.
Also, what was the last kernel that worked, if any? Getting dmesg from
that one (if still available) is sure to be useful.
Comment 11 L. Acar 2005-06-17 12:07:26 EDT
Created attachment 115617 [details]
dmesg output for the working kernel-2.6.9-1.667
Comment 12 L. Acar 2005-06-17 12:08:50 EDT
Created attachment 115618 [details]
dmesg output for the non-working kernel-2.6.11-1.27_FC3
Comment 13 L. Acar 2005-06-17 12:19:07 EDT
The lp device worked under kernel-2.6.9-1.667 and stopped working under
kernel-2.6.10-1.770_FC3.  I've attached the dmesg outputs for two different
kernels.  Please let me know if you need more information.

By the way, I have also tried to connect the printer using an
USB-to-Parallel-Port cable.  It ended up having its own problems, such as
printing using "lpr," even though some applications can print out directly.  So
I appreciate it, if we can resolve the Parallel Port problem.

Thanks for your interest.
Comment 14 Pete Zaitcev 2005-06-17 12:46:34 EDT
OK, we have two problems here. The main problem is that lp refuses to take
what parport gives it, or the second attempt to reactivate parport fails,
depending what the proper way is. Here's the diff in dmesgs (with some
common strings removed for brievity):

@@ -263,17 +272,43 @@
 Adding 10236232k swap on /dev/hda3.  Priority:-1 extents:1
 SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
-parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
-parport0: irq 7 detected
+parport: PnPBIOS parport detected.
+parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
 parport0: Printer, Hewlett-Packard HP LaserJet 6MP
+pnp: Device 00:06 disabled.
+ieee1394: Initialized config rom entry `ip1394'
 ip_tables: (C) 2000-2002 Netfilter core team
 i2c /dev entries driver
-eth0: no IPv6 routers present
-parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
-parport0: irq 7 detected
-parport0: Printer, Hewlett-Packard HP LaserJet 6MP
-lp0: using parport0 (polling).
-lp0: console ready
+pnp: Device 00:06 activated.
+parport: PnPBIOS parport detected.
+pnp: Device 00:06 disabled.
+lp: driver loaded but no devices found

There's also a secondary problem for Mr. Morris, for which a new
bug needs to be filed:

+Unable to handle kernel paging request at virtual address 36080042
+EIP:    0060:[<c01e61c7>]    Not tainted VLI
+EFLAGS: 00010206   (2.6.11-1.27_FC3)
+EIP is at selinux_proc_get_sid+0x99/0xcd
+Process parallel (pid: 3340, threadinfo=f5e7b000 task=f6431930)
....
+Call Trace:
+ [<c01e7128>] selinux_sysctl+0x40/0xb0
+ [<c0126cc4>] do_rw_proc+0x59/0xaf
+ [<c0126d4c>] proc_readsys+0x1c/0x21
+ [<c0173e46>] vfs_read+0xad/0x108
+ [<c01740e1>] sys_read+0x41/0x6a
+ [<c0103903>] syscall_call+0x7/0xb

Actually, perhaps it's a poor cleanup in lp which causes selinux to oops.
Comment 15 L. Acar 2005-06-28 17:19:04 EDT
The parallel port doesn't function properly with the new kernel-2.6.11-1.35_FC3
as well.  Is there anything else that I can do to expedite the resolution of
this problem?
Comment 16 Dave Jones 2005-07-15 16:38:40 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 17 L. Acar 2005-07-15 18:14:38 EDT
Created attachment 116824 [details]
dmesg output for kernel-2.6.12-1.1372_FC3

Same problem persists with the new kernel-2.6.12-1.1372_FC3, too.  During the
boot-up, kudzu tries to remove the printer, and after keeping it, the lp device
doesn't get connected.

I attached the new dmesg log file for your reference.
Comment 18 Gerald Thompson 2005-07-15 22:27:01 EDT
- it appears that after the upgrade to kernel 2.6.12-1.1372_FC3 the system can
no longer autodetect the printer on lp0, but you can still configure the printer
manually and it works
- after I installed the kernel upgrade 2.6.12-1.1372_FC3
- on boot up kudzu said that my HP laserjet 5L was no longer connected
- I restarted the computer again and it still could not detect the printer
- I opened printconf-gui and it detected a device on lp0 but did not know what
the  device was
- I assigned the driver for HP laserjet 5L and it worked, the printer works fine
- the problem seems to be after you upgrade to the new kernel 2.6.12-1.1372_FC3
the system can no longer autodetect the printer
Comment 19 L. Acar 2005-07-18 17:15:46 EDT
Unfortunately, this procedure did not work in my case.

I removed the printer and rebooted couple of times to make sure that all the
printer residues were gone.  When I ran printconf-gui, there was no device
detected (except ptal), and even after I added /dev/lp0 as a custom device; the
device didn't work.
Comment 20 Dave Jones 2006-01-16 17:30:02 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 21 Dave Jones 2006-02-03 02:24:16 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 22 John Thacker 2006-05-04 09:37:28 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.